{"swagger":"2.0","info":{"version":"1.0.0","title":"4DAPI","description":"4DAPI Interface"},"paths":{"/store/list":{"get":{"summary":"List of stores","operationId":"listStores","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Store list returned","schema":{"type":"array","items":{"$ref":"#/definitions/Store"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/product/list":{"get":{"summary":"List of products in a given store","description":"listStoreProducts","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"storeId","type":"string","in":"query","description":"Store Id","required":true},{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Product list returned","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/list":{"get":{"summary":"List of scans done in a store.","operationId":"listScans","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"storeId","type":"string","in":"query","description":"Store Id","required":true},{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Scan list returned","schema":{"type":"array","items":{"$ref":"#/definitions/Scan"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/alert/fixture/list":{"get":{"summary":"List of fixtures that contains alerts for a given scan","operationId":"listFixtures","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"id","type":"string","in":"query","description":"Scan Id","required":true},{"name":"alert","type":"string","in":"query","description":"Choose alert using 0/1 Example: 111 (out-of-stock | incorrect-pricing | low-stock)","required":true},{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Fixture list returned","schema":{"type":"array","items":{"$ref":"#/definitions/Fixture"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/alert/fixture/planograms/list":{"get":{"summary":"List of planograms in an fixture that contains alerts for a given scan","operationId":"listPlanograms","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"id","type":"string","in":"query","description":"Scan Id","required":true},{"name":"fixtureId","type":"string","required":true,"in":"query","description":"Fixture Id"},{"name":"alert","type":"string","in":"query","description":"Choose alert using 0/1 Example: 111 (out-of-stock | incorrect-pricing | low-stock)","required":true},{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Fixture list returned","schema":{"type":"array","items":{"$ref":"#/definitions/Planogram"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/alert/fixture/planograms/segments/list":{"get":{"summary":"List of segments in a planogram that contains alerts for a given scan","operationId":"listSegments","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"id","type":"string","in":"query","description":"Scan Id","required":true},{"name":"fixtureId","type":"string","required":true,"in":"query","description":"Fixture Id"},{"name":"planogramName","type":"string","required":true,"in":"query","description":"Planogram Name"},{"name":"alert","type":"string","in":"query","description":"Choose alert using 0/1 Example: 111 (out-of-stock | incorrect-pricing | low-stock)","required":true},{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Fixture list returned","schema":{"type":"array","items":{"$ref":"#/definitions/Segment"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/data":{"post":{"summary":"Get scan data","operationId":"getScanData","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"id","type":"string","in":"query","description":"Scan Id","required":true},{"name":"data","in":"body","required":true,"schema":{"$ref":"#/definitions/ScanDataRequest"}}],"responses":{"200":{"description":"Scan data returned","schema":{"type":"array","items":{"$ref":"#/definitions/BoundingBoxLevelData"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/alert/data":{"post":{"summary":"Get scan data that contains alerts","operationId":"getScanDataContainingAlert","produces":["application/json"],"tags":["Store"],"parameters":[{"name":"id","type":"string","in":"query","description":"Scan Id","required":true},{"name":"data","in":"body","required":true,"schema":{"$ref":"#/definitions/ScanAlertRequest"}}],"responses":{"200":{"description":"Scan data returned","schema":{"type":"array","items":{"$ref":"#/definitions/BoundingBoxLevelData"}}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/data/aoi/planogram":{"post":{"summary":"Get the AOI planogram image of a bounding-box that corresponds to a given active alert","operationId":"getBoundingBoxPlanogram","produces":["application/octet-stream"],"tags":["Store"],"parameters":[{"name":"scanid","type":"string","in":"query","description":"Scan Id","required":true},{"name":"bbId","type":"string","in":"query","description":"Bounding Box Id","required":true},{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Planogram Image","schema":{"type":"file"}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}},"/store/scan/data/aoi/realogram":{"post":{"summary":"Get the AOI realogram image of a bounding-box corresponding to a given active alert","operationId":"getBoundingBoxRealogram","produces":["application/octet-stream"],"tags":["Store"],"parameters":[{"name":"scanid","type":"string","in":"query","description":"Scan Id","required":true},{"name":"bbId","type":"string","in":"query","description":"Bounding Box Id","required":true},{"name":"token","type":"string","required":true,"in":"query","description":"Security Token"}],"responses":{"200":{"description":"Realogram Image","schema":{"type":"file"}},"401":{"description":"Unauthorized"},"400":{"description":"Invalid id supplied"},"403":{"description":"Forbidden error"},"500":{"description":"Error occurred"}}}}},"definitions":{"Store":{"type":"object","properties":{"storeId":{"type":"string"},"name":{"type":"string"},"number":{"type":"string"},"address":{"type":"string"},"city":{"type":"string"},"state":{"type":"string"},"country":{"type":"string"},"phoneNumber":{"type":"string"},"emailAddress":{"type":"string"}}},"Scan":{"type":"object","properties":{"scanId":{"type":"string"},"startTimestamp":{"type":"string","format":"date-time"},"status":{"type":"string"},"completedTimestamp":{"type":"string","format":"date-time"}}},"Fixture":{"type":"object","properties":{"fixtureId":{"type":"string"},"fixtureName":{"type":"string"},"startTimestamp":{"type":"string","format":"date-time"},"status":{"type":"string"},"completedTimestamp":{"type":"string","format":"date-time"}}},"Product":{"type":"object","properties":{"productId":{"type":"string"},"upc":{"type":"string"},"name":{"type":"string"},"gtin":{"type":"string"},"manufacturer":{"type":"string"},"gpcBrickId":{"type":"string"},"bdmAccountBaseId":{"type":"string"},"clientBaseId":{"type":"string"},"csmAccountBaseId":{"type":"string"},"variantId":{"type":"string"},"ingredients":{"type":"string"},"allergans":{"type":"string"},"legal":{"type":"string"},"price":{"type":"number"},"width":{"type":"number"},"height":{"type":"number"},"depth":{"type":"number"},"retailDep":{"type":"string"},"retailCategory":{"type":"string"}}},"BoundingBoxLevelData":{"type":"object","properties":{"fixture":{"type":"string"},"planogram":{"type":"string"},"segmentNo":{"type":"integer"},"boundingBox":{"type":"string"},"outOfStock":{"type":"boolean"},"incorrectPrice":{"type":"boolean"},"lowStock":{"type":"boolean"}}},"ScanDataRequest":{"type":"object","properties":{"level":{"type":"string"},"fixtureIds":{"type":"array","items":{"type":"integer"}},"planogramNames":{"type":"array","items":{"type":"string"}},"segmentIds":{"type":"array","items":{"type":"integer"}},"token":{"type":"string"}}},"ScanAlertRequest":{"type":"object","properties":{"level":{"type":"string"},"alert":{"type":"string"},"fixtureIds":{"type":"array","items":{"type":"integer"}},"planogramNames":{"type":"array","items":{"type":"string"}},"segmentIds":{"type":"array","items":{"type":"integer"}},"token":{"type":"string"}}},"Planogram":{"type":"object","properties":{"id":{"type":"string"},"planogramName":{"type":"string"},"startTimestamp":{"type":"string","format":"date-time"},"status":{"type":"string"},"completedTimestamp":{"type":"string","format":"date-time"}}},"Segment":{"type":"object","properties":{"segmentId":{"type":"integer"},"number":{"type":"integer"}}}},"host":"virtserver.swaggerhub.com","schemes":["https","http"],"basePath":"/HappyMongoSolution/4DAPI/1.0.0"}